View Issue Details

IDProjectCategoryView StatusLast Update
0032498LazarusLCLpublic2018-10-17 07:17
ReporterAndrey ZubarevAssigned ToZeljan Rikalo 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0032498: TOpenGLControl not support qt5 widgeset
DescriptionTOpenGLControl not support qt5 widgeset
TagsNo tags attached.
Fixed in Revision59286
LazTarget-
WidgetsetQT5
Attached Files

Relationships

related to 0034401 closedZeljan Rikalo QT OpenGL support 

Activities

Zeljan Rikalo

2017-10-03 10:19

developer   ~0103162

Patches are welcome

Andrey Zubarev

2017-10-03 11:41

reporter   ~0103163

Last edited: 2017-10-03 11:43

View 2 revisions

Yet there is a proposal - set old lclqt def inside qt5 widgeset code, many third-party packages are working fine after that.
It will be easier to solve some specific incompatibilities (e.g. with lazopenglcontext) than to have not working all third-party packages

Zeljan Rikalo

2017-10-03 12:47

developer   ~0103164

No, it's not solution. LCLQt5 should be used inside opengl components

Zeljan Rikalo

2018-10-11 09:47

developer   ~0111362

Please test and close if ok. Note that this is OpenGL implementation with QWidget (as qt4 is implemented), I've already created QOpenGLWidget & QOpenGLWindow bindings and they're tested atm, so maybe, I'll change complete implementation for Qt5 opengl with native Qt5 OpenGL.

Andrey Zubarev

2018-10-11 11:36

reporter   ~0111368

Thanks!

Andrey Zubarev

2018-10-15 19:23

reporter   ~0111414

I can't reopen https://bugs.freepascal.org/view.php?id=34401
So I will write here. Why OpenGL QT5 support not merged to Lazarus 2.0 branch?
Though it's not quite right, but it's better than nothing

Zeljan Rikalo

2018-10-16 14:10

developer   ~0111422

I've added related commits to the fixes list http://wiki.lazarus.freepascal.org/Lazarus_2.0_fixes_branch , so it will be merged in next hours/days.

Zeljan Rikalo

2018-10-16 14:10

developer   ~0111423

Please close when it's merged.

Andrey Zubarev

2018-10-17 07:17

reporter   ~0111437

Thanks

Issue History

Date Modified Username Field Change
2017-10-02 18:09 Andrey Zubarev New Issue
2017-10-03 10:19 Zeljan Rikalo Note Added: 0103162
2017-10-03 11:41 Andrey Zubarev Note Added: 0103163
2017-10-03 11:43 Andrey Zubarev Note Edited: 0103163 View Revisions
2017-10-03 12:47 Zeljan Rikalo Note Added: 0103164
2018-10-11 09:11 Zeljan Rikalo Assigned To => Zeljan Rikalo
2018-10-11 09:11 Zeljan Rikalo Status new => assigned
2018-10-11 09:11 Zeljan Rikalo Relationship added related to 0034401
2018-10-11 09:47 Zeljan Rikalo Fixed in Revision => 59286
2018-10-11 09:47 Zeljan Rikalo LazTarget => -
2018-10-11 09:47 Zeljan Rikalo Note Added: 0111362
2018-10-11 09:47 Zeljan Rikalo Status assigned => resolved
2018-10-11 09:47 Zeljan Rikalo Resolution open => fixed
2018-10-11 11:36 Andrey Zubarev Note Added: 0111368
2018-10-11 11:36 Andrey Zubarev Status resolved => closed
2018-10-15 19:23 Andrey Zubarev Note Added: 0111414
2018-10-15 19:23 Andrey Zubarev Status closed => assigned
2018-10-15 19:23 Andrey Zubarev Resolution fixed => reopened
2018-10-16 14:10 Zeljan Rikalo Note Added: 0111422
2018-10-16 14:10 Zeljan Rikalo Status assigned => feedback
2018-10-16 14:10 Zeljan Rikalo Note Added: 0111423
2018-10-16 14:10 Zeljan Rikalo Status feedback => resolved
2018-10-16 14:10 Zeljan Rikalo Resolution reopened => fixed
2018-10-17 07:17 Andrey Zubarev Note Added: 0111437
2018-10-17 07:17 Andrey Zubarev Status resolved => closed